GET
/
api
/
v1
/
account
/
transactions
Get Account Transactions
curl --request GET \
  --url https://prv.explorer.biya.io/api/v1/account/transactions \
  --header 'Authorization: Bearer <token>'
{
  "code": 123,
  "message": "<string>",
  "data": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

address
string
pagination.page
integer<int32>

Page number, starts from 1, default 1 (for page-based pagination)

pagination.page_size
integer<int32>

Page size, default 20, maximum 100

pagination.cursor
string

Cursor (for cursor-based pagination, optimized for large datasets, takes priority over page) For blocks: use block height (height) For transactions: use transaction number (tx_number) or combination of block height + transaction number

tx_types
string[]

Optional: filter by message types from transaction messages (e.g., ["/cosmos.bank.v1beta1.MsgSend", "/bybective.exchange.v1beta1.MsgDeposit", "MsgWithdraw"]) Supports both full type URL (e.g., "/cosmos.bank.v1beta1.MsgSend") and short type name (e.g., "MsgSend") If empty, returns all transactions regardless of message types Note: A transaction matches if ANY of its messages matches ANY of the specified types

Response

200 - application/json

OK

Generic response structure

code
integer<int32>

Response status code, 0 indicates success, non-zero indicates failure

message
string

Response message

data
object

Response data (using Struct type to directly return JSON objects, more intuitive)